Bug 214311 - Review Request: kcometen3 - An OpenGL screensaver for KDE
Review Request: kcometen3 - An OpenGL screensaver for KDE
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chitlesh GOORAH
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-11-06 19:13 EST by Ian Chapman
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-11 10:50:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Chapman 2006-11-06 19:13:27 EST
Spec URL: http://dribble.org.uk/reviews/kcometen3.spec
SRPM URL: http://dribble.org.uk/reviews/kcometen3-1.1-3.src.rpm
Description: 

An OpenGL screensaver for KDE
Comment 1 Chitlesh GOORAH 2006-11-07 03:07:24 EST
I'll do the review :)
Comment 2 Chitlesh GOORAH 2006-11-07 03:27:29 EST
For the buildrequires:
-libjpeg-devel
-qt-devel >= 3.2
-/usr/bin/xmllint

These will be pulled down as dependencies for kdelibs-devel.
libxslt-devel depends on libxml2-devel

If not the package looks good, update this I'll do a full review of it.
Comment 3 Ian Chapman 2006-11-07 05:39:23 EST
If it's OK, can you continue with the review and I'll make those BR changes in 
addition to any changes needed by the review (if any) in the next release? It 
just saves having lots of minor changelog entries :-) Thanks.
Comment 4 Chitlesh GOORAH 2006-11-07 08:28:55 EST
(In reply to comment #3)
> If it's OK, can you continue with the review and I'll make those BR changes in 
> addition to any changes needed by the review (if any) in the next release? It 
> just saves having lots of minor changelog entries :-) Thanks.

Ok, however do pinpoint to me these changes when you do :)

MUST Items:

- MUST: rpmlint's output is clean
- MUST: The package is named according to the Package Naming Guidelines.
- MUST: The spec file name matches the base package %{name}
- MUST: The package meets the Packaging Guidelines.
- MUST: The package is licensed (GPL) with an open-source compatible license and
meet other legal requirements as defined in the legal section of Packaging
Guidelines.
- MUST: The License field in the package spec file matches the actual license.
- MUST: the source package includes the text of the license(s) in its own file,
then that file, containing the text of the license(s) for the package is
included in %doc.
- MUST: The spec file must be written in American English.
- MUST: The spec file for the package is be legible. 
- MUST: The sources used to build the package must matches the upstream source,
as provided in the spec URL.
- MUST: The package successfully compiles and builds into binary rpms on at
least i386.
- MUST: All build dependencies is listed in BuildRequires.
- MUST: The spec file handles locales properly.
- MUST: If the package does not contain shared library files located in the
dynamic linker's default paths
- MUST: the package is not designed to be relocatable
- MUST: the package owns all directories that it creates.
- MUST: the package does not contain any duplicate files in the %files listing.
- MUST: Permissions on files are set properly.
- MUST: The package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
- MUST: The package consistently uses macros, as described in the macros section
of Packaging Guidelines.
- MUST: The package contains code, or permissable content. This is described in
detail in the code vs. content section of Packaging Guidelines.
- MUST: There are no Large documentation files
- MUST: %doc does not affect the runtime of the application. To summarize: If it
is in %doc, the program must run properly if it is not present.
- MUST: There are no Header files or static libraries 
- MUST: The package does not contain library files with a suffix 
- MUST: Package does NOT contain any .la libtool archives
- MUST: Package containing GUI applications includes a %{name}.desktop file, and
that file must be properly installed with desktop-file-install in the %install
section.
- MUST: Package does not own files or directories already owned by other packages. 

SHOULD Items:

 - SHOULD: The source package does include license text(s) as COPYING
 - SHOULD: mock builds succcessfully in i386.
 - SHOULD: The reviewer tested that the package functions as described. A
package should not segfault instead of running, for example.
 - SHOULD: No scriptlets were used, those scriptlets must be sane. 
 - SHOULD: No subpackages present.

APPROVED
Comment 5 Ian Chapman 2006-11-07 19:41:08 EST
Thanks for the review. I'll remove the appropriate buildrequires and bump the
release field before import. I'll post a link to the update spec and srpm here
so you can check ;-)
Comment 7 Ian Chapman 2006-11-11 10:50:27 EST
Built successfully. closing.

Note You need to log in before you can comment on or make changes to this bug.